package com.jianshui.common.exception.jianshui;

import com.alibaba.fastjson.JSONObject;
import com.jianshui.common.core.domain.entity.Companyservice;
import lombok.Getter;

/**
 * @Description 计算税额、含税金额、不含税金额出现异常
 * @Author 巩权林
 * @Date 2022/3/5 20:47
 **/
@Getter
public class JianshuiBillInfoCalucateException extends JianshuiServiceException {

    // 服务名称
    private String billInfoJson;

    // 销方id
    private Companyservice companyservice;

    public JianshuiBillInfoCalucateException(String msg, Companyservice companyservice, String billInfoJson) {
        super(msg);
        this.billInfoJson = billInfoJson;
        this.companyservice = companyservice;
    }
}
