package com.jianshui.income.domain.entity;

import lombok.Data;

/**
 * @Description invoice 通行费
 * @Author 巩权林
 * @Date 2021/4/16 10:36
 **/
@Data
public class InvoiceCheckToll {
    // invoice_check的外键
    private int invoice_check_id;
    // 通行费标志   通行费发票返回信息 Y-可抵扣通行费 N-不可抵扣通行费
    private String txfbz;
    // 零税率标识   通行费发票返回信息空：非零税率1：税率栏位显示“免税”，2：税率栏位显示“不征税”，3：零税率
    private String lslbs;
    //是否代办退税0:否 1：是
    private String sfdbts;
    //商品编码
    private String spbm;
    //税收分类简码名称
    private String spbmjc;
}
