package com.jianshui.income.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "获取统计信息VO")
@Data
public class CountInfoVO {

    @ApiModelProperty(value = "所属月")
    private String SKSSQ;

    @ApiModelProperty(value = "购方税号")
    private String GMFSBH;

    @ApiModelProperty(value = "统计状态：20-统计完成有报\n" +
            "表数据；21-正在统计；\n" +
            "22-统计完成，无发票\n" +
            "统计数据\n")
    private String TJZT;

    private String TJRQ;

    @ApiModelProperty(value = "统计结果")
    private String TJJG;

    @ApiModelProperty(value = "确认时间")
    private String QRSJ;

    @ApiModelProperty(value = "撤销标志")
    private String CXBZ;

    @ApiModelProperty(value = "统计控制")
    private String TJKZ;

    @ApiModelProperty(value = "发票类型")
    private String fplxdm;

    @ApiModelProperty(value = "抵扣发票份数")
    private String dkfpfs;

    @ApiModelProperty(value = "抵扣总金额")
    private String dkzje;

    @ApiModelProperty(value = "抵扣总有效税额")
    private String dkzyxse;

    @ApiModelProperty(value = "不抵扣发票份数")
    private String bdkfpfs;

    @ApiModelProperty(value = "不抵扣总金额")
    private String bdkzje;

    @ApiModelProperty(value = "不抵扣总有效税额")
    private String bdkzyxse;


}
