package com.jianshui.income.mapper;

import java.util.List;
import com.jianshui.income.domain.entity.IncomeInvoiceAuthCar;

/**
 * 进项-发票明细（大象）Mapper接口
 *
 * @author jianshui
 * @date 2022-09-05
 */
public interface IncomeInvoiceAuthCarMapper
{
    /**
     * 查询进项-发票明细（大象）
     *
     * @param id 进项-发票明细（大象）主键
     * @return 进项-发票明细（大象）
     */
    public IncomeInvoiceAuthCar selectIncomeInvoiceAuthCarById(String id);

    /**
     * 查询进项-发票明细（大象）列表
     *
     * @param incomeInvoiceAuthCar 进项-发票明细（大象）
     * @return 进项-发票明细（大象）集合
     */
    public List<IncomeInvoiceAuthCar> selectIncomeInvoiceAuthCarList(IncomeInvoiceAuthCar incomeInvoiceAuthCar);

    /**
     * 新增进项-发票明细（大象）
     *
     * @param incomeInvoiceAuthCar 进项-发票明细（大象）
     * @return 结果
     */
    public int insertIncomeInvoiceAuthCar(IncomeInvoiceAuthCar incomeInvoiceAuthCar);

    /**
     * 修改进项-发票明细（大象）
     *
     * @param incomeInvoiceAuthCar 进项-发票明细（大象）
     * @return 结果
     */
    public int updateIncomeInvoiceAuthCar(IncomeInvoiceAuthCar incomeInvoiceAuthCar);

    /**
     * 删除进项-发票明细（大象）
     *
     * @param id 进项-发票明细（大象）主键
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthCarById(String id);

    /**
     * 批量删除进项-发票明细（大象）
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthCarByIds(String[] ids);
}
