package com.jianshui.invoice.constant.elephant;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description 大象常量
 * @Author 巩权林
 * @Date 2022-03-24 11:33
 **/
public class ElephantConstants {

    // token redis key
    public static String TOKEN_REDIS_KEY = "elephant_invoice_token";

    // 测试的域名
    public static String DEV_HOST = "https://sandbox.zncspt.com/api/";
    public static String DEV_ELECLOUD_HOST = "https://sandbox.ele-cloud.com/api/";
    public static String DEV_HOST_LOCAL = "http://140.143.226.17:8087/order-api";

    // 生产的域名
    public static String PROD_HOST = "https://openapi.zncspt.com/api/";

    public static String PROD_ELECLOUD_HOST = "https://openapi.ele-cloud.com/api/";

    public static String PROD_HOST_LOCAL = "http://140.143.226.17:8087/order-api";

    // 测试的获取token的域名
    public static String DEV_TOKEN_HOST = "https://sandbox.zncspt.com/api/authen/token";
    // 生产的获取token的域名
    public static String PROD_TOKEN_HOST = "https://openapi.zncspt.com/api/authen/token";

    // 发票开具冲红
    public static String ADD_INVOICE = "order-api/order-api/v4/AllocateInvoices";
    public static String ADD_INVOICE_LOCALHOST = "/invoice/api/v4/AllocateInvoices";
    public static String ADD_INVOICE_METHOD = "AllocateInvoices";

    // 发票开票结果拉取
    public static String ADD_INVOICE_RESULT = "order-api/order-api/v4/GetAllocatedInvoices";
    public static String ADD_INVOICE_RESULT_LOCALHOST = "/invoice/api/v4/GetAllocatedInvoices";
    public static String ADD_INVOICE_RESULT_METHOD = "GetAllocatedInvoices";

    // 发票详情拉取
    public static String QUERY_INVOICE = "order-api/order-api/v4/GetOrderInfoAndInvoiceInfo";
    public static String QUERY_INVOICE_LOCALHOST = "/invoice/api/v4/GetOrderInfoAndInvoiceInfo";
    public static String QUERY_INVOICE_METHOD = "GetOrderInfoAndInvoiceInfo";


    // 红字信息表上传
    public static String REDINFO_UPLOAD = "order-api/order-api/v4/AllocateRedInvoiceApplication";
    public static String REDINFO_UPLOAD_LOCALHOST = "/invoice/api/v4/AllocateRedInvoiceApplication";
    public static String REDINFO_UPLOAD_METHOD = "AllocateRedInvoiceApplication";

    public static String REDINFO_DOWNLOAD = "order-api/order-api/v4/DownloadRedInvoiceApplicationResult";
    public static String REDINFO_DOWNLOAD_LOCALHOST = "/invoice/api/v4/DownloadRedInvoiceApplicationResult";
    public static String REDINFO_DOWNLOAD_METHOD = "DownloadRedInvoiceApplicationResult";

    // 发票作废
    public static String DEPRECATE_INVOICE = "order-api/order-api/v4/DeprecateInvoices";
    public static String DEPRECATE_INVOICE_LOCALHOST = "/invoice/api/v4/DeprecateInvoices";
    public static String DEPRECATE_INVOICE_METHOD = "DeprecateInvoices";

    // 发票作废结果查询
    public static String DEPRECATE_INVOICE_RESULT = "order-api/order-api/v4//QueryInvalidInvoice";
    public static String DEPRECATE_INVOICE_RESULT_LOCALHOST = "/invoice/api/v4//QueryInvalidInvoice";
    public static String DEPRECATE_INVOICE_RESULT_METHOD = "order-api/order-api/v4//QueryInvalidInvoice";

    // 打印机查询
    public static String QUERY_PRINTER = "";
    public static String QUERY_PRINTER_LOCALHOST = "/invoice/api/v4/QueryPrinter";
    public static String QUERY_PRINTER_METHOD = "QueryPrinter";

    // 批量打印
    public static String BATCH_PRINT = "";
    public static String BATCH_PRINT_LOCALHOST = "/invoice/api/v4/PrintInvoice";
    public static String BATCH_PRINT_METHOD = "PrintInvoice";


    // 发票余量查询接口
    public static String QUERY_INVOICE_STORE = "order-api/order-api/v4/QueryInvoiceStore";


    /**
     * 发票专用章生成
     */
    public static String SIGN_CREATE = "eseal/v1/create";

    /**
     * 发票专用章导入注册
     */
    public static String SIGN_REGISTER = "eseal/v1/register";

    /**
     * 发票签章
     */
    public static String SIGN = "eseal/v1/sign";

}
