package com.jianshui.invoice.domain.dto.api.aisino.console;

import cn.hutool.core.annotation.Alias;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * User: kk
 * Date: 2023/2/28
 * Time: 14:43
 * Description: AisinoConsoleInvoiceRedDownloadDTO
 */
@Data
public class AisinoConsoleInvoiceRedDownloadDTO {

    @Alias("reqnsrsbh")
    @NotEmpty
    @ApiModelProperty(value = "企业税号")
    private String NSRSBH;

    @Alias("jspbh")
    @NotEmpty
    @ApiModelProperty(value = "设备编号")
    private String SBBH;

    @ApiModelProperty(value = "开票机号")
    private String KPJH;

    @NotEmpty
    @ApiModelProperty(value = "逾期状态")
    private String YQZT;

    @ApiModelProperty(value = "填开日期")
    private String TKRQ_Q;

    @ApiModelProperty(value = "填开日期")
    private String TKRQ_Z;

    @ApiModelProperty(value = "购方税号")
    private String GFSH;

    @ApiModelProperty(value = "销方税号")
    private String XFSH;

    @ApiModelProperty(value = "信息表编号")
    private String XXBBH;

    @NotEmpty
    @ApiModelProperty(value = "信息表下载范围")
    private String XXBFW;

    @NotEmpty
    @ApiModelProperty(value = "页号")
    private String PAGENO;

    @NotEmpty
    @ApiModelProperty(value = "每页记录数")
    private String PAGESIZE;

}
