package com.jianshui.invoice.domain.dto.api.aisino.console;

import cn.hutool.core.annotation.Alias;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 发票作废
 * @author dxk
 * @date 2022年06月30日 10:20
 */
@Data
public class AisinoConsoleInvolidDTO {

    /** 发票类别*/
    @NotNull
    private Integer InfoKind;

    /** 发票号码*/
    @NotEmpty
    @Alias("fphm")
    private String InfoNumber;

    /** 发票代码*/
    @NotEmpty
    @Alias("fpdm")
    private String InfoTypeCode;


}
