package com.jianshui.invoice.domain.dto.api.aisino.console;

import cn.hutool.core.annotation.Alias;
import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 总部控制台-发票打印-入参
 *
 * @author dxk
 * @date 2022年06月29日 17:30
 */
@Data
public class AisinoConsolePrintInvoiceDTO {

    /**
     * 发票种类
     */
    private Integer InfoKind;

    /**
     * 发票号码
     */
    @NotEmpty
    @Alias("fpqh")
    private String InfoNumber;

    /**
     * 发票代码
     */
    @NotEmpty
    @Alias("fpdm")
    private String InfoTypeCode;

    /**
     * 是否显示打印边框 0 不显示 1 显示
     */
    private Integer ShowPrintDlg;

    /**
     * 是否打印清单 0 打印发票 1 打印清单
     */
    private Integer PrintKind;

}
