package com.jianshui.invoice.domain.dto.api.jcsk.add;

import cn.hutool.core.annotation.Alias;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 发票开具 1 DTO
 * @author kk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllAddmxListTwoDTO {

    /** */
    @Alias("price")
    @NotEmpty
    @ApiModelProperty(value = "单价")
    private String dj;

    /** */
    @Alias("unit")
    @NotEmpty
    @ApiModelProperty(value = "单位")
    private String dw;

    /** */
    @NotEmpty
    @ApiModelProperty(value = "发票行性质")
    private String fphxz;

    /** */
    @Alias("spec")
    @ApiModelProperty(value = "规格型号")
    private String ggxh;

    /** */
    @NotEmpty
    @ApiModelProperty(value = "金额")
    private String je;

    /** */
    @Alias("tax")
    @NotEmpty
    @ApiModelProperty(value = "税额")
    private String se;

    /** */
    @Alias("taxrate")
    @NotEmpty
    @ApiModelProperty(value = "税率")
    private String slv;

    /** */
    @Alias("num")
    @NotEmpty
    @ApiModelProperty(value = "商品数量")
    private String spsl;

    /** */
    @Alias("spbm")
    @NotEmpty
    @ApiModelProperty(value = "税收分类编码")
    private String ssflbm;

    /** */
    @Alias("zzstsgl")
    @ApiModelProperty(value = "特定征税方式代码")
    private String tdzsfsdm;

    /** */
    @Alias("goodName")
    @NotEmpty
    @ApiModelProperty(value = "项目名称")
    private String xmmc;

    /** */
    @Alias("lslbs")
    @ApiModelProperty(value = "税收优惠政策类型代码")
    private String zzstsgldm;



}
