package com.jianshui.system.event.evemts;

import com.jianshui.common.core.domain.entity.Companyservice;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * @Description 简税税额、不含税金额、含税金额计算异常 事件
 * @Author 巩权林
 * @Date 2022/3/26 21:44
 **/
@Getter
public class JianshuiBillInfoCalucateExceptionEvent extends ApplicationEvent {

    private String msg;
    private Companyservice companyservice;
    private String billInfoJson;

    public JianshuiBillInfoCalucateExceptionEvent(Object source, String msg, Companyservice companyservice, String billInfoJson) {
        super(source);
        this.msg = msg;
        this.companyservice = companyservice;
        this.billInfoJson = billInfoJson;
    }
}
