/*
 Navicat Premium Data Transfer

 Source Server         : 航信本地测试 内网
 Source Server Type    : MySQL
 Source Server Version : 80022
 Source Host           : 192.168.18.221:3306
 Source Schema         : bid

 Target Server Type    : MySQL
 Target Server Version : 80022
 File Encoding         : 65001

 Date: 15/12/2021 17:54:00
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 84 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '字典类型表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '登录状态列表');
INSERT INTO `sys_dict_type` VALUES (13, '发票种类', 'invoice_type', '0', 'admin', '2021-02-07 10:05:38', 'admin', '2021-05-11 13:44:07', '诺诺');
INSERT INTO `sys_dict_type` VALUES (14, '发票状态', 'invoice_status', '0', 'admin', '2021-02-07 10:09:37', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (15, '开票类型', 'kptype', '0', 'admin', '2021-02-07 15:15:44', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (16, '税率', 'slv', '0', 'admin', '2021-04-12 14:07:32', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (17, '服务单位', 'servicesource', '0', 'admin', '2021-04-15 09:43:14', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (18, '服务接口', 'interfaceservice', '0', 'admin', '2021-04-15 09:48:30', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (19, '环境状态', 'sys_config_status', '0', 'admin', '2021-04-15 09:58:06', '', NULL, '用于正式-测试环境切换，Y为正式环境，N为测试环境');
INSERT INTO `sys_dict_type` VALUES (20, '服务状态', 'servicestate', '0', 'admin', '2021-04-15 10:03:40', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (21, 'appKey', 'appKey', '0', 'admin', '2021-04-15 11:51:59', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (22, 'appSecret', 'appSecret', '0', 'admin', '2021-04-15 11:52:31', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (24, '特殊票种', 'sys_special_ticket', '0', 'admin', '2021-04-21 10:40:23', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (25, '金额价税方式', 'sys_price_tax_method', '0', 'admin', '2021-04-21 10:44:03', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (26, '重新计算单价和数量', 'sys_recalculate_price_quantity', '0', 'admin', '2021-04-21 10:45:47', 'admin', '2021-04-21 10:45:54', NULL);
INSERT INTO `sys_dict_type` VALUES (27, '单据类型', 'sys_receipt_type', '0', 'admin', '2021-04-21 14:43:55', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (28, '商品发票类型', 'goods_invoice_type', '0', 'admin', '2021-05-03 12:11:09', '', NULL, '税务分类编码对于发票类型');
INSERT INTO `sys_dict_type` VALUES (29, '发票开票种类', 'invoice_valid_type', '0', 'admin', '2021-05-06 09:51:38', 'admin', '2021-05-08 09:11:56', '控制手工开票中，允许开票的发票种类');
INSERT INTO `sys_dict_type` VALUES (30, '单据来源', 'billorigin', '0', 'admin', '2021-05-08 10:03:37', '', NULL, '系统中单据的导入、传入、API调用、手工录入方式');
INSERT INTO `sys_dict_type` VALUES (31, '税收分类编码版本号', 'goods_no_ver', '0', 'admin', '2021-05-08 10:38:24', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (32, '付费模式', 'feemode', '0', 'admin', '2021-05-09 10:28:16', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (33, '发票种类', 'fpzl', '0', 'admin', '2021-05-11 13:45:00', '', NULL, '大象');
INSERT INTO `sys_dict_type` VALUES (34, '发票查验的发票状态', 'check_invoice_state', '0', 'admin', '2021-05-12 11:20:53', '', NULL, '大象查验');
INSERT INTO `sys_dict_type` VALUES (35, '客户类型', 'sys_customer_type', '0', 'admin', '2021-05-18 09:14:19', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (36, '在线测额状态', 'sys_online_quota', '0', 'admin', '2021-05-18 14:16:28', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (38, '勾选状态', 'checkstate', '0', 'admin', '2021-05-27 09:49:37', '', NULL, '发票勾选认证状态字典');
INSERT INTO `sys_dict_type` VALUES (39, '单据状态', 'sys_receipt_status', '0', 'admin', '2021-05-28 10:58:06', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (40, '单据记录状态', 'bill_info_status', '0', 'admin', '2021-06-02 09:40:01', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (41, '无票标志', 'isInvReached', '0', 'admin', '2021-06-18 11:55:15', '', NULL, '税控设备管理使用');
INSERT INTO `sys_dict_type` VALUES (42, '抄税标志', 'isRepReached', '0', 'admin', '2021-06-18 11:57:20', '', NULL, '税控设备管理使用');
INSERT INTO `sys_dict_type` VALUES (43, '锁死标志', 'isLockReached', '0', 'admin', '2021-06-18 11:58:35', '', NULL, '税控设备管理使用');
INSERT INTO `sys_dict_type` VALUES (44, '结果标识', 'retCode', '0', 'admin', '2021-06-18 13:09:15', '', NULL, '税控设备管理使用');
INSERT INTO `sys_dict_type` VALUES (45, '业务类型', 'businessCode', '0', 'admin', '2021-06-18 13:35:11', '', NULL, '税控设备管理使用');
INSERT INTO `sys_dict_type` VALUES (46, '符合减免', 'feereduice', '0', 'admin', '2021-07-02 14:07:45', '', NULL, '服务费收取');
INSERT INTO `sys_dict_type` VALUES (47, '联系人信息是否需要更新', 'lxrinformation', '0', 'admin', '2021-07-06 17:51:08', 'admin', '2021-07-06 17:51:29', '服务费收取');
INSERT INTO `sys_dict_type` VALUES (48, '企业性质', 'Natureofenterprise', '0', 'admin', '2021-07-09 11:07:05', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (49, '红字申请表编号状态', 'billstatus', '0', 'admin', '2021-07-23 19:51:27', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (50, '发票状态', 'sys_invoice_fpzt', '0', 'admin', '2021-08-10 15:14:40', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (51, '认证类型', 'sys_invoice_rzlx', '0', 'admin', '2021-08-12 09:30:28', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (52, '发票查验结果', 'checkResult', '0', 'admin', '2021-08-16 18:00:28', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (54, '航信济南分公司部门', 'hxjn', '0', 'admin', '2021-08-19 11:31:13', '', NULL, '商机管理使用');
INSERT INTO `sys_dict_type` VALUES (55, '商机系统产品业务类型', 'opp_type', '0', 'admin', '2021-08-19 11:39:54', '', NULL, '商机系统');
INSERT INTO `sys_dict_type` VALUES (56, '商机状态', 'oppostate', '0', 'admin', '2021-08-19 14:26:36', '', NULL, '商机系统');
INSERT INTO `sys_dict_type` VALUES (57, '单据抽取数据库驱动', 'drive_name', '0', 'admin', '2021-08-23 11:36:44', 'admin', '2021-08-24 17:59:18', NULL);
INSERT INTO `sys_dict_type` VALUES (58, '单据抽取数据库类型', 'database_type', '0', 'admin', '2021-08-24 18:02:41', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (59, '单据抽取数据库版本mysql', 'mysql_version', '0', 'admin', '2021-08-24 18:04:26', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (60, '单据抽取数据库版本sqlserver', 'sqlserver_version', '0', 'admin', '2021-08-24 18:04:52', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (61, '单据抽取数据库版本oracle', 'oracle_version', '0', 'admin', '2021-08-24 18:05:37', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (62, 'SAP认证方式', 'sap_authorization', '0', 'admin', '2021-08-30 10:54:57', '', NULL, '认证方式，1，basic；2，token；现在只支持basic');
INSERT INTO `sys_dict_type` VALUES (63, 'SAP方法类型', 'sap_methods', '0', 'admin', '2021-08-30 10:58:01', 'admin', '2021-08-30 10:58:16', '请求方式，post，get等，默认post');
INSERT INTO `sys_dict_type` VALUES (64, 'SAP请求类型', 'sap_post_type', '0', 'admin', '2021-08-30 11:01:29', 'admin', '2021-08-30 11:01:41', 'post类型，1:json、2:form-data等，默认json，不支持2');
INSERT INTO `sys_dict_type` VALUES (65, 'SAP请求参数类型', 'sap_type', '0', 'admin', '2021-08-30 11:27:02', '', NULL, '请求参数类型，2:params(get地址里的参数)，3:data(post请求体参数)，basic(认证中basic加密后的参数)，1:token(认证中token)');
INSERT INTO `sys_dict_type` VALUES (66, 'SAP请求参数变化方式', 'sap_param_type', '0', 'admin', '2021-08-30 11:35:54', '', NULL, '参数变化方式，2:autoincrement：自增；1:default：默认，默认则不进行任何修改。默认default');
INSERT INTO `sys_dict_type` VALUES (67, 'SAP日志状态', 'sap_log_status', '0', 'admin', '2021-08-30 11:42:38', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (68, 'SAP发票获取列表', 'sap_invoice_fetch_list', '0', 'admin', '2021-08-31 15:33:56', '', NULL, '批量获取发票的时候，可能用户端返回的数据与我们的不一致，因此需要根据格式进行解析处理');
INSERT INTO `sys_dict_type` VALUES (69, '支付类型', 'sys_pay_type', '0', 'admin', '2021-09-01 15:24:33', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (70, '账号状态', 'sys_account_status', '0', 'admin', '2021-09-01 15:32:59', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (71, '支付状态', 'sys_pay_state', '0', 'admin', '2021-09-01 16:57:40', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (72, '审核状态', 'sys_check_state', '0', 'admin', '2021-09-01 16:59:31', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (73, '管理状态', 'sys_income_glzt', '0', 'admin', '2021-09-06 10:21:07', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (74, 'SAP发票推送参数', 'sap_invoice_push_list', '0', 'admin', '2021-09-06 15:28:10', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (75, '发票回写推送类型', 'invoice_reback_type', '0', 'admin', '2021-09-06 16:10:37', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (76, '跟踪类型', 'track_type', '0', 'admin', '2021-09-09 10:43:17', '', NULL, '商机系统使用');
INSERT INTO `sys_dict_type` VALUES (77, '快开票页面配置状态', 'kkp_page_config_status', '0', 'admin', '2021-09-17 11:50:30', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (78, '请求类型', 'reqtype', '0', 'admin', '2021-09-22 11:09:04', '', NULL, '诺诺发票同步请求类型');
INSERT INTO `sys_dict_type` VALUES (79, 'companyervice属性值', 'companyservice_prop_keys', '0', 'admin', '2021-10-14 10:47:41', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (80, '银行类别', 'bank_id', '0', 'admin', '2021-10-18 17:13:02', 'admin', '2021-10-18 17:13:27', NULL);
INSERT INTO `sys_dict_type` VALUES (81, '发票同步拉取类型', 'invoice_pull_type', '0', 'admin', '2021-10-26 11:35:53', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (82, '跟单方式', 'tracke_mode', '0', 'admin', '2021-11-09 14:16:49', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (83, '税控设备状态', 'sys_equipment_status', '0', 'admin', '2021-11-11 16:48:31', '', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
