package com.jianshui.income.constant.elephant;

/**
 * @Description 大象常量
 * @Author 巩权林
 * @Date 2022-03-24 11:33
 **/
public class ElephantConstants {

    // token redis key
    public static String TOKEN_REDIS_KEY = "elephant_invoice_token";

    // 测试的域名
    public static String DEV_HOST = "https://sandbox.zncspt.com/api/";
    // 生产的域名
    public static String PROD_HOST = "https://openapi.zncspt.com/api/";

    // 测试的域名 大象部署版
    public static String DEV_HOST_LOCAL = "http://140.143.226.17:8087/order-api";
    // 生产的域名 大象部署版
    public static String PROD_HOST_LOCAL = "https://openapi.zncspt.com/api/";

    // 测试的获取token的域名
    // public static String DEV_TOKEN_HOST = "https://sandbox.zncspt.com/api/authen/token";
    public static String DEV_TOKEN_HOST = "https://sandbox.ele-cloud.com/api/authen/token";
    // 生产的获取token的域名
    public static String PROD_TOKEN_HOST = "https://openapi.zncspt.com/api/authen/token";
    // public static String PROD_TOKEN_HOST = "https://sandbox.ele-cloud.com/api/authen/token";

    // 单张查询发票
    public static String CHECK_INVOICE_SINGLE = "open-recipt/V1/CheckInvoiceSingle";
    // 批量发起查询发票
    public static String MULTIL_CHECK_INVOICE = "open-recipt/V1/MultilCheckInvoice";
    // 批量查询发票结果
    public static String BATCH_GET_INVOICE = "open-recipt/V1/BatchGetInvoice";
    // ocr
    public static String OCR_IDENTIFY = "ocr-service/rest/RecoImg/v1/ocr";
    //身份认证
    public static String IDCARD = "ocr-service/rest/idcard/v1/ocr";
    //全面票采集
    public static String INCOME_COLLECTION = "dxhy-open-income/v1/getInvoice";
    //申请认证
    public static String APPLY_CERTIFICATION = "dxhy-open-income/v1/applyLegalize";
    //获取认证结果
    public static String GET_CERTIFICATION_RESULT = "dxhy-open-income/v1/applyLegalizeResult";
    //状态采集
    public static String STATE_CHANGE = "dxhy-open-income/v1/getInvoiceState";
}
