package com.jianshui.income.domain.dto.ZYExport;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

/**
 * @ClassName QueryCheckInvioceDTO
 * @Description
 * @Author pc
 * @Date 2022-06-16 11:30
 **/
@Data
public class QueryCheckInvioceDTO {

    /** 发票代码 */
    @NotEmpty(message = "发票代码不能为空")
    @Size(min = 0, max = 12, message = "发票代码长度不能超过12个字符")
    private String InvoiceCode;

    /** 发票号码 */
    @NotEmpty(message = "发票号码不能为空")
    @Size(min = 0, max = 10, message = "发票号码长度不能超过10个字符")
    private String InvoiceNo;
}
