package com.jianshui.income.domain.dto.elephant;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * @Description 进项 全票面采集dto
 * @Author 巩权林
 * @Date 2022-05-25 15:56
 **/
@Data
public class GetInvoiceDTO {
    @JSONField(name = "GMFSBH")
    private String GMFSBH; // 购方税号
    @JSONField(name = "FPLXDM")
    private String FPLXDM; // 发票类型 增值税专用发票：01 ;机动车销售统一发票：03 ;增值税电子专用发票：08 ;通行费电子发票：14 ;电子发票（增值税专用发票）：31 ;
    @JSONField(name = "PCH")
    private String PCH; // 批次号
    @JSONField(name = "CJKSRQ")
    @JsonFormat(pattern = "YYYYMMDDHHMMSS")
    private String CJKSRQ; // 发票采集 开始时间 YYYYMMDDHHMMSS
    @JSONField(name = "CJJSRQ")
    @JsonFormat(pattern = "YYYYMMDDHHMMSS")
    private String CJJSRQ; // 发票采集 结束时间 YYYYMMDDHHMMSS
    @JSONField(name = "KSHS")
    private int KSHS; // 开始行数 整数,第一次请求时为 1.(若本次返回行数小于总行数，需再次请求，开始行数为 本次返回行数+ 1.类似分页获取
    @JSONField(name = "ZTBZ")
    private String ZTBZ; // 当给 1 时继续请求，0 时结束请求
    @JSONField(name = "FHHS")
    private String FHHS; // 当该参数有值时，接口按照参数返回发票条数，如果没值时，接口按照默认值返回发票条数
}
