package com.jianshui.income.domain.entity;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 进项-发票统计企业查询对象 income_invoice_company_statistics_detail
 *
 * @author nuomi
 * @date 2022-06-14
 */
@Data
public class IncomeInvoiceCompanyStatisticsDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 统计表ID */
    @Excel(name = "统计表ID")
    private String statisticsId;

    /** 所属月 */
    @Excel(name = "所属月")
    private String skssq;

    /** 购方税号 */
    @Excel(name = "购方税号")
    private String gmdsbh;

    /** 发票类型 */
    @Excel(name = "发票类型")
    private String fplxdm;

    /** 抵扣发票份数 */
    @Excel(name = "抵扣发票份数")
    private String dkfpfs;

    /** 抵扣总金额 */
    @Excel(name = "抵扣总金额")
    private String dkzje;

    /** 抵扣总有效税额 */
    @Excel(name = "抵扣总有效税额")
    private String dkzyxse;

    /** 不抵扣发票份数 */
    @Excel(name = "不抵扣发票份数")
    private String bdkfpfs;

    /** 不抵扣总金额 */
    @Excel(name = "不抵扣总金额")
    private String bdkzje;

    /** 不抵扣总有效税额 */
    @Excel(name = "不抵扣总有效税额")
    private String bdkzyxse;
}
