package com.jianshui.income.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName MaterInformationVO
 * @Description W
 * @Author pc
 * @Date 2022-05-30 10:02
 **/
@Data
public class MaterInformationVO {

    @ApiModelProperty(value = "总行数")
    private int ZHS;

    @ApiModelProperty(value = "开始行数")
    private int KSHS; //整数,第一次请求时为 1

    @ApiModelProperty(value = "本次请求返回行数")
    private int BCQQFHHS;

    @ApiModelProperty(value = "发票代码")
    private String FPDM; //10 或 12 位 全电发票取全电号码前 12 位

    @ApiModelProperty(value = "发票号码")
    private String FPHM; //8 位 全电发票取全电号码后 8 位

    @ApiModelProperty(value = "全电发票号码")
    private String QDFPHM; //发票类型为全电时返回

    @ApiModelProperty(value = "当前税款所属期")
    private String DQSKSSQ;

    @ApiModelProperty(value = "当前税款所属期勾选截止日")
    private String GXJZR;

    @ApiModelProperty(value = "当前税款所属期可勾选发票开票日期起")
    private String GXRQQ;

    @ApiModelProperty(value = "当前税款所属期可勾选发票开票日期止")
    private String GXRQZ;

    @ApiModelProperty(value = "发票类型")
    private String FPLXDM; //增值税专用发票：01 机动车销售统一发票：03 增值税电子专用发票：08 通行费电子发票：14 电子发票（增值税专用发 票）：31

    @ApiModelProperty(value = "购方税号")
    private String GMFSBH; //现在是 15/18 位

    @ApiModelProperty(value = "销方名称")
    private String XHFMC;

    @ApiModelProperty(value = "销方税号")
    private String XHFSBH; //真实税号是 15/18 位

    @ApiModelProperty(value = "开票日期")
    private String KPRQ;

    @ApiModelProperty(value = "发票金额")
    private String HJJE;

    @ApiModelProperty(value = "发票税额")
    private String SE;

    @ApiModelProperty(value = "发票状态")
    private String FPZT; //0-正常 1-失控 2-作废 3-红冲 80-红字发票待确认 7-已部分冲红 8-已全额冲红

    @ApiModelProperty(value = "认证状态")
    private String RZZT; //0-未认证 1-已认证

    @ApiModelProperty(value = "认证日期")
    private String RZRQ;

    @ApiModelProperty(value = "认证归属期")
    private String RZSQ;

    @ApiModelProperty(value = "是否代办退税")
    private String SFDBTS; //0-否 1-是

    @ApiModelProperty(value = "认证类型")
    private String RZLX; //0-未抵扣 1-抵扣 2-退税 3-代理退税 4-不抵扣

    @ApiModelProperty(value = "校验码")
    private String JYM; //通行费发票有该值

    @ApiModelProperty(value = "信息来源")
    private String XXLY; //0 扫描认证 1 系统推送 2 出口转内销 3 异常凭证 转入

    @ApiModelProperty(value = "有效税额")
    private String YXSE; //当 RZLX=1(抵扣)、4(不抵 扣)、时不为空

    @ApiModelProperty(value = "逾期可勾选标志")
    private String YQKGXBZ; //逾期可勾选标志 0 默认 值 ，1 可勾选逾期

    @ApiModelProperty(value = "管理状态")
    private String GLZT; //0 正常 1 异常 2 疑似非 正常

    @ApiModelProperty(value = "发票来源")
    private String FPLY; //0-税控发票 1-全电发票

    @ApiModelProperty(value = "抵扣税额")
    private String DKSE; //XXLY=3 时不为空，勾选金 额不能大于抵扣税额

    @ApiModelProperty(value = "不抵扣原因")
    private String BDKYY; //当 rzlx=4 时不为空 1 用于非应税项目 2 用于免税项目 3 用于集体福利或者个人 消费 4 遭受非正常损失 5 其他
}
