package com.jianshui.invoiceall.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author dxk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllYhdjDTO {

    @ApiModelProperty(value = "渠道标识")
    @NotEmpty
    private String appkey;

    @ApiModelProperty(value = "false")
    @NotNull
    private Boolean async;

    @ApiModelProperty(value = "yhdj")
    @NotEmpty
    private String serviceId;

    @NotEmpty
    @ApiModelProperty(value = "办税人身份证号")
    private String bsrysfzjhm;

    @NotEmpty
    @ApiModelProperty(value = "*地区编码(参考码表)")
    private String dqbm;

    @NotEmpty
    @ApiModelProperty(value = "*纳税人识别号")
    private String nsrsbh;



    InvoiceAllYhdjDetailDTO jsonData;

}
