package com.jianshui.invoiceall.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author dxk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllYhdjDetailDTO {

    @NotEmpty
    @ApiModelProperty(value = "*办税人员姓名(税局实名认证的人员)")
    private String bsryxm;

    @NotEmpty
    @ApiModelProperty(value = "*登录身份(1:财务负责人,2:法定代表人,3:办税人,4:购票员,5:普通管理员,99:其他) 备注:如果选择99|其他,则办税人员名称、手机号码、身份证件号码.可以不传")
    private String dlsf;

    @NotEmpty
    @ApiModelProperty(value = "*办税人员登录密码")
    private String dlsfmm;

    @NotEmpty
    @ApiModelProperty(value = "*登录方式(参考码表)")
    private String dlfs;

    @NotEmpty
    @ApiModelProperty(value = "*登录密码")
    private String dlmm;

    @NotEmpty
    @ApiModelProperty(value = "*登录账号")
    private String dlzh;

    @NotEmpty
    @ApiModelProperty(value = "*纳税人名称")
    private String nsrmc;

    @NotEmpty
    @ApiModelProperty(value = "*纳税人识别号")
    private String nsrsbh;

    @NotEmpty
    @ApiModelProperty(value = "*办税人员身份证件号码(税局实名认证的人员)")
    private String bsrysfzjhm;

    @NotEmpty
    @ApiModelProperty(value = "*办税人员手机号码(税局实名认证的人员)")
    private String bsrysjhm;

    @ApiModelProperty(value = "中间号码")
    private String zjh;

    @ApiModelProperty(value = "登陆标志1 新版")
    private String loginType;


}
