package com.jianshui.invoiceall.domain.dto.jcsk.add;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 发票开具 2 DTO
 * @author kk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllAddInfoDTO {

    @ApiModelProperty(value = "备注")
    private String bz;

    @NotEmpty
    @ApiModelProperty(value = "发票类型代码")
    private String fplxdm;

    @NotEmpty
    @ApiModelProperty(value = "发票请求流水号")
    private String fpqqlsh;

    @ApiModelProperty(value = "购方信息确认")
    private String gfxxconfirm;

    @NotEmpty
    @ApiModelProperty(value = "购买方地址")
    private String gmfdz;

    @NotEmpty
    @ApiModelProperty(value = "购买方开户行")
    private String gmfkhh;

    @NotEmpty
    @ApiModelProperty(value = "购买方联系电话")
    private String gmflxdh;

    @NotEmpty
    @ApiModelProperty(value = "购买方名称")
    private String gmfmc;

    @NotEmpty
    @ApiModelProperty(value = "购买方税号")
    private String gmfnsrsbh;

    @NotEmpty
    @ApiModelProperty(value = "购买方银行账号")
    private String gmfyhzh;

    @NotEmpty
    @ApiModelProperty(value = "合计金额")
    private String hjje;

    @NotEmpty
    @ApiModelProperty(value = "合计税额")
    private String hjse;

    @NotEmpty
    @ApiModelProperty(value = "含税标志 1-不含税 2-含税")
    private String hsbz;

    @NotEmpty
    @ApiModelProperty(value = "经办人姓名")
    private String jbrxm;

    @NotEmpty
    @ApiModelProperty(value = "经办人证件号码")
    private String jbrzjhm;

    @NotEmpty
    @ApiModelProperty(value = "经办人证件种类代码")
    private String jbrzjzldm;

    @NotEmpty
    @ApiModelProperty(value = "经办人纳税人识别号")
    private String jrznsrsbh;

    @NotEmpty
    @ApiModelProperty(value = "价税合计")
    private String jshj;

    @ApiModelProperty(value = "")
    private String kjly;

//    特定业务必填
//    @NotEmpty
    @ApiModelProperty(value = "特定要素类型代码")
    private String tdyslxdm;

    @NotEmpty
    @ApiModelProperty(value = "销方地址")
    private String xsfdz;

    @NotEmpty
    @ApiModelProperty(value = "销方开户行")
    private String xsfkhh;

    @NotEmpty
    @ApiModelProperty(value = "销方联系电话")
    private String xsflxdh;

    @NotEmpty
    @ApiModelProperty(value = "销方名称")
    private String xsfmc;

    @NotEmpty
    @ApiModelProperty(value = "销方税号")
    private String xsfnsrsbh;

    @NotEmpty
    @ApiModelProperty(value = "销方银行账号")
    private String xsfyhzh;


    List<InvoiceAllAddfjxxListDTO> fjxxList;

    List<InvoiceAllAddmxListDTO> mxList;

    List<InvoiceAllAddtdywxxDTO> tdywxx;

    List<InvoiceAllAddextDTO> ext;




}
