package com.jianshui.invoiceall.service;

import java.util.List;
import com.jianshui.system.domain.InvoiceAllApiLog;

/**
 * API调用记录-金四Service接口
 * 
 * @author jianshui
 * @date 2022-12-13
 */
public interface IInvoiceAllApiLogService 
{
    /**
     * 查询API调用记录-金四
     * 
     * @param id API调用记录-金四主键
     * @return API调用记录-金四
     */
    public InvoiceAllApiLog selectInvoiceAllApiLogById(Long id);

    /**
     * 查询API调用记录-金四列表
     * 
     * @param invoiceAllApiLog API调用记录-金四
     * @return API调用记录-金四集合
     */
    public List<InvoiceAllApiLog> selectInvoiceAllApiLogList(InvoiceAllApiLog invoiceAllApiLog);

    /**
     * 新增API调用记录-金四
     * 
     * @param invoiceAllApiLog API调用记录-金四
     * @return 结果
     */
    public int insertInvoiceAllApiLog(InvoiceAllApiLog invoiceAllApiLog);

    /**
     * 修改API调用记录-金四
     * 
     * @param invoiceAllApiLog API调用记录-金四
     * @return 结果
     */
    public int updateInvoiceAllApiLog(InvoiceAllApiLog invoiceAllApiLog);

    /**
     * 批量删除API调用记录-金四
     * 
     * @param ids 需要删除的API调用记录-金四主键集合
     * @return 结果
     */
    public int deleteInvoiceAllApiLogByIds(Long[] ids);

    /**
     * 删除API调用记录-金四信息
     * 
     * @param id API调用记录-金四主键
     * @return 结果
     */
    public int deleteInvoiceAllApiLogById(Long id);
}
