package com.jianshui.invoiceall.utils;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;

import java.util.Map;

/**
 * Vo生成
 * @author kk
 * @date 2022年12月09日 17:41
 */
public class GenVoCodeTest {


    public static void main(String[] args) {

        String json  = "{\n" +
                "                \"chyydm\": \"冲红原因代码\",\n" +
                "                \"fplydm\": \"发票来源代码\",\n" +
                "                \"gmfmc\": \"购买方名称\",\n" +
                "                \"gmfnsrsbh\": \"购买方税号\",\n" +
                "                \"hzfphm\": \"红字发票号码\",\n" +
                "                \"hzfpxxqrdbh\": \"红字发票信息确认单编号\",\n" +
                "                \"hzfpxxqrdid\": \"红字发票信息确认单id\",\n" +
                "                \"hzfpxxqrdZtdm\": \"红字发票信息确认单状态代码\",\n" +
                "                \"hzhjje\": \"红字合计金额\",\n" +
                "                \"hzhjse\": \"红字合计税额\",\n" +
                "                \"hzkprq\": \"红字开票日期\",\n" +
                "                \"lzfphm\": \"蓝字发票号码\",\n" +
                "                \"lzfplxdm\": \"蓝字发票类型代码\",\n" +
                "                \"lzkprq\": \"蓝字开票日期\",\n" +
                "                \"lrrq\": \"录入日期\",\n" +
                "                \"xsfmc\": \"销售方名称\",\n" +
                "                \"xsfnsrsbh\": \"销售方纳税人识别号\",\n" +
                "                \"ykjhzfpbz\": \"是否开具红字发票\"\n" +
                "            }";

        JSONObject jsonObject = JSONUtil.parseObj(json);

        String result = "";

        for (Map.Entry<String, Object> objectEntry : jsonObject) {
            result = result + " @NotEmpty\n@ApiModelProperty(value = \""+objectEntry.getValue()+"\") \n private String "+objectEntry.getKey()+";\n\n";
        }

        System.out.println(result);
    }


}
