package com.jianshui.invoice.domain;

import cn.hutool.core.annotation.Alias;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 打印机对象 sk_dyj
 *
 * @author jianshui
 * @date 2023-01-09
 */
@Data
public class SkDyjVO
{
    /** $column.columnComment */
    @Alias(value = "id")
    private Long dyjid;

    /** 打印机名称 */
    @Alias(value = "mc")
    private String dyjmc;

    /** 上边距（a9向下为正，ukey向下为负） */
    @Alias(value = "sbj")
    private Long xxpy;

    /** 左边距（a9向右为正，ukey向右为负） */
    @Alias(value = "zbj")
    private Long xypy;

    /** 创建人 */
    @Excel(name = "创建人")
    private String bz;

}
