package com.jianshui.invoice.domain.dto.adapter.response;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.jianshui.invoice.domain.Redinfodetail;
import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * @Description
 * @Author 巩权林
 * @Date 2022/4/17 21:06
 **/
@Data
public class RedInfoDetailDTO extends Redinfodetail {
    @JsonIgnore
    @JSONField(serialize = false)
    private Long id;
    @JsonIgnore
    @JSONField(serialize = false)
    private Long redinfoId;
    @JsonIgnore
    @JSONField(serialize = false)
    private String searchValue;
    @JsonIgnore
    @JSONField(serialize = false)
    private String createBy;
    @JsonIgnore
    @JSONField(serialize = false)
    private Date createTime;
    @JsonIgnore
    @JSONField(serialize = false)
    private String updateBy;
    @JsonIgnore
    @JSONField(serialize = false)
    private Date updatedTime;
    @JsonIgnore
    @JSONField(serialize = false)
    private String remark;
    // 含税标志
    @JsonIgnore
    @JSONField(serialize = false)
    private String withTaxFlag;

    // 含税单价
    @JsonIgnore
    @JSONField(serialize = false)
    private String priceWithTax;

    @JsonIgnore
    @JSONField(serialize = false)
    private Map<String, Object> params;
}
