package com.jianshui.invoice.domain.dto.adapter.response.nuonuo2;

import com.alibaba.fastjson.annotation.JSONField;
import com.jianshui.common.annotation.Excel;
import com.jianshui.invoice.domain.InvoiceDetail;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Description
 * @Author 巩权林
 * @Date 2022/4/14 00:53
 **/
@Data
public class InvoiceDetail2Nuonuo2 {

    /**
     * 商品名称
     */
    @JSONField(name = "itemName")
    private String goodName;

    /**
     * 商品数量
     */
    @JSONField(name = "itemNum")
    private BigDecimal num;

    /**
     * 商品单价
     */
    @JSONField(name = "itemPrice")
    private BigDecimal price;

    /**
     * 含税标志
     */
    @JSONField(name = "isIncludeTax")
    private String isIncludeTax;

    /**
     * 税率
     */
    @JSONField(name = "itemTaxRate")
    private BigDecimal taxrate;

    /**
     * 规格型号
     */
    @JSONField(name = "itemSpec")
    private String spec;

    /**
     * 单位
     */
    @JSONField(name = "itemUnit")
    private String unit;

    /**
     * 税收分类编码
     */
    @JSONField(name = "itemCode")
    private String spbm;

    /**
     * 商品编码版本号
     */
    // @JSONField(name = "商品编码版本号")
    // private String bmbbh;

    /**
     * 自行编码
     */
    @JSONField(name = "itemSelfCode")
    private String zsbm;

    /**
     * 发票行性质
     */
    @JSONField(name = "invoiceLineProperty")
    private Integer fphxz;

    /**
     * 优惠政策标识
     */
    @JSONField(name = "favouredPolicyFlag")
    private Integer yhzcbs;

    /**
     * 增值税特殊管理
     */
    @JSONField(name = "favouredPolicyName")
    private String zzstsgl;

    /**
     * 零税率标识
     */
    @JSONField(name = "zeroRateFlag")
    private String lslbs;

    /**
     * 扣除额
     */
    @JSONField(name = "deduction")
    private BigDecimal kce;

    // 金额
    @JSONField(name = "itemAmount")
    private BigDecimal itemAmount;

    /**
     * 税额
     */
    @JSONField(name = "itemTaxAmount")
    private BigDecimal tax;


}
