package com.jianshui.invoice.domain.dto.adapter.response.nuonuo2;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.annotation.Excel;
import com.jianshui.invoice.domain.Redinfodetail;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description
 * @Author 巩权林
 * @Date 2022/4/17 22:31
 **/
@Data
public class RedinfoDetailDTO2Nuonuo2 {

    /**
     * redinfo表的id
     */
    @JSONField(serialize = false)
    private Long redinfoId;

    /**
     * 申请单号
     */
    @JSONField(serialize = false)
    private String billno;

    /**
     * $column.columnComment
     */
    @JSONField(serialize = false)
    private Integer index;


    /**
     * 商品名称
     */
    // goodsName
    @JSONField(name = "goodsName")
    private String goodName;

    /**
     * 单位
     */
    // unit
    @JSONField(name = "unit")
    private String unit;

    /**
     * 规格型号
     */
    // specType
    @JSONField(name = "specType")
    private String spec;

    /**
     * 商品数量
     */
    // num
    @JSONField(name = "num")
    private BigDecimal num;

    /**
     * 商品单价，不含税
     */
    // taxExcludedPri
    @JSONField(name = "taxExcludedPri")
    private BigDecimal price;

    /**
     * 不含税金额
     */
    // taxExcludedA
    @JSONField(name = "taxExcludedA")
    private BigDecimal taxfreeamt;

    /**
     * 税率
     */
    // taxRate
    @JSONField(name = "taxRate")
    private BigDecimal taxrate;

    /**
     * 税额
     */
    // taxAmount
    @JSONField(name = "taxAmount")
    private BigDecimal tax;

    /**
     * 含税金额
     */
    @JSONField(serialize = false)
    private BigDecimal taxamt;

    /**
     * 税收分类编码
     */
    // goodsCode
    @JSONField(name = "goodsCode")
    private String spbm;

    /**
     * 商品编码版本号
     */
    @JSONField(serialize = false)
    private String bmbbh;

    /**
     * 优惠政策标识，0不使用，1使用
     */
    // favouredPolicy
    @JSONField(name = "favouredPolicy")
    private Integer yhzcbs;

    /**
     * 增值税特殊管理（优惠政策表示名称）
     */
    // favouredPolicy
    @JSONField(name = "favouredPolicy")
    private String zzstsgl;

    /**
     * 零税率标识，1=免税,2=不征税,3=普通零税率
     */
    // zeroRateFlag
    @JSONField(name = "zeroRateFlag")
    private String lslbs;

    /**
     * 商品编码简称
     */
    // goodsCodeAb
    @JSONField(name = "goodsCodeAb")
    private String goodAbbreviation;

    /**
     * 发票行性质
     */
    @JSONField(serialize = false)
    private Integer fphxz;

    /**
     * 扣除额
     */
    @JSONField(serialize = false)
    private BigDecimal kce;
}
