/*
 Navicat Premium Data Transfer

 Source Server         : 航信本地测试 内网
 Source Server Type    : MySQL
 Source Server Version : 80022
 Source Host           : 192.168.18.221:3306
 Source Schema         : bid

 Target Server Type    : MySQL
 Target Server Version : 80022
 File Encoding         : 65001

 Date: 15/12/2021 17:54:08
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(0) NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 359 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '字典数据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (19, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (20, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (21, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (22, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (23, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (24, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (25, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (26, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (27, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (28, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2020-12-09 09:57:40', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (29, 1, '增值税电子普通发票', 'p', 'invoice_type', NULL, NULL, 'N', '0', 'admin', '2021-02-07 10:07:35', 'admin', '2021-08-19 14:53:09', NULL);
INSERT INTO `sys_dict_data` VALUES (30, 2, '增值税普通发票', 'c', 'invoice_type', NULL, NULL, 'N', '0', 'admin', '2021-02-07 10:07:58', 'admin', '2021-12-08 16:46:48', NULL);
INSERT INTO `sys_dict_data` VALUES (31, 3, '增值税专用发票', 's', 'invoice_type', NULL, NULL, 'N', '0', 'admin', '2021-02-07 10:08:16', 'admin', '2021-02-07 10:08:23', NULL);
INSERT INTO `sys_dict_data` VALUES (32, 4, '增值税电子专用发票', 'b', 'invoice_type', NULL, NULL, 'N', '0', 'admin', '2021-02-07 10:08:56', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (33, 2, '开票完成', '2', 'invoice_status', NULL, NULL, 'N', '0', 'admin', '2021-02-07 10:11:36', 'admin', '2021-12-14 14:44:35', NULL);
INSERT INTO `sys_dict_data` VALUES (34, 1, '开票中', '20', 'invoice_status', NULL, NULL, 'N', '0', 'admin', '2021-02-07 10:11:56', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (35, 10, '开票成功签章中', '21', 'invoice_status', NULL, NULL, 'N', '0', 'admin', '2021-02-07 10:12:33', 'admin', '2021-12-14 14:47:24', NULL);
INSERT INTO `sys_dict_data` VALUES (36, 3, '开票失败', '22', 'invoice_status', NULL, NULL, 'N', '0', 'admin', '2021-02-07 10:12:47', 'admin', '2021-12-14 14:46:14', NULL);
INSERT INTO `sys_dict_data` VALUES (37, 11, '开票成功签章失败', '24', 'invoice_status', NULL, NULL, 'N', '0', 'admin', '2021-02-07 10:13:05', 'admin', '2021-12-14 14:47:30', NULL);
INSERT INTO `sys_dict_data` VALUES (38, 5, '已作废', '3', 'invoice_status', NULL, NULL, 'N', '0', 'admin', '2021-02-07 10:14:05', 'admin', '2021-12-14 14:47:13', NULL);
INSERT INTO `sys_dict_data` VALUES (39, 12, '发票作废中', '31', 'invoice_status', NULL, NULL, 'N', '0', 'admin', '2021-02-07 10:14:31', 'admin', '2021-12-14 14:47:44', NULL);
INSERT INTO `sys_dict_data` VALUES (40, 0, '正票', '1', 'kptype', NULL, NULL, 'N', '0', 'admin', '2021-02-07 15:16:12', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (41, 1, '红票', '2', 'kptype', NULL, NULL, 'N', '0', 'admin', '2021-02-07 15:16:23', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (42, 5, '增值税普通发票(卷式)', 'r', 'invoice_type', NULL, NULL, 'N', '0', 'admin', '2021-04-09 15:27:58', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (43, 6, '机动车发票', 'j', 'invoice_type', NULL, NULL, 'N', '0', 'admin', '2021-04-09 15:30:50', 'admin', '2021-12-14 14:56:41', NULL);
INSERT INTO `sys_dict_data` VALUES (44, 0, '0', '0.00', 'slv', NULL, NULL, 'N', '0', 'admin', '2021-04-12 14:07:54', 'admin', '2021-07-12 13:21:11', NULL);
INSERT INTO `sys_dict_data` VALUES (45, 1, '免税', '0', 'slv', NULL, NULL, 'N', '0', 'admin', '2021-04-13 14:27:26', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (46, 0, '1%', '0.01', 'slv', NULL, NULL, 'N', '0', 'admin', '2021-04-13 14:28:12', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (47, 0, '3%', '0.03', 'slv', NULL, NULL, 'N', '0', 'admin', '2021-04-13 14:28:49', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (48, 0, '4%', '0.04', 'slv', NULL, NULL, 'N', '0', 'admin', '2021-04-13 14:28:59', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (49, 0, '5%', '0.05', 'slv', NULL, NULL, 'N', '0', 'admin', '2021-04-13 14:29:17', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (50, 0, '6%', '0.06', 'slv', NULL, NULL, 'N', '0', 'admin', '2021-04-13 14:29:26', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (51, 0, '9%', '0.09', 'slv', NULL, NULL, 'N', '0', 'admin', '2021-04-13 14:29:41', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (52, 0, '10%', '0.10', 'slv', NULL, NULL, 'N', '0', 'admin', '2021-04-13 14:29:50', 'admin', '2021-07-12 13:21:25', NULL);
INSERT INTO `sys_dict_data` VALUES (53, 0, '11%', '0.11', 'slv', NULL, NULL, 'N', '0', 'admin', '2021-04-13 14:30:01', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (54, 0, '13%', '0.13', 'slv', NULL, NULL, 'N', '0', 'admin', '2021-04-13 14:30:18', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (57, 0, '诺诺', 'nuonuo', 'servicesource', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:44:05', 'admin', '2021-04-16 09:24:41', NULL);
INSERT INTO `sys_dict_data` VALUES (58, 1, '大象', 'elephant', 'servicesource', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:45:58', 'admin', '2021-04-16 09:24:35', NULL);
INSERT INTO `sys_dict_data` VALUES (59, 2, '百旺', 'baiwang', 'servicesource', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:46:19', 'admin', '2021-04-16 09:24:55', NULL);
INSERT INTO `sys_dict_data` VALUES (60, 3, '总部', 'zongbu', 'servicesource', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:46:42', 'admin', '2021-04-16 09:25:01', NULL);
INSERT INTO `sys_dict_data` VALUES (61, 0, '开票接口', 'invoice', 'interfaceservice', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:49:09', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (62, 1, '支付接口', 'pay', 'interfaceservice', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:49:25', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (63, 2, '查验接口', 'check', 'interfaceservice', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:49:58', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (64, 3, 'OCR接口', 'ocr', 'interfaceservice', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:50:14', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (65, 4, '进项接口', 'income', 'interfaceservice', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:50:43', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (66, 5, '智能赋码', 'smart', 'interfaceservice', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:51:30', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (67, 6, '企业名片', 'card', 'interfaceservice', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:55:14', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (68, 7, '扫码开票', 'scan', 'interfaceservice', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:55:50', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (69, 0, 'N', 'sys_config_key', 'sys_config_status', NULL, NULL, 'N', '0', 'admin', '2021-04-15 09:59:50', 'admin', '2021-11-25 11:38:53', 'Y-正式环境，N-测试环境，默认为测试环境');
INSERT INTO `sys_dict_data` VALUES (70, 0, '未开通', '1', 'servicestate', NULL, NULL, 'N', '0', 'admin', '2021-04-15 10:04:06', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (71, 1, '使用中', '2', 'servicestate', NULL, NULL, 'N', '0', 'admin', '2021-04-15 10:04:15', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (72, 2, '已停用', '3', 'servicestate', NULL, NULL, 'N', '0', 'admin', '2021-04-15 10:04:29', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (73, 3, '欠费中', '4', 'servicestate', NULL, NULL, 'N', '0', 'admin', '2021-04-15 10:05:12', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (74, 0, 'Mlfs7n9kofqPMaNVJSFoDcwS', 'elephant_dev', 'appKey', NULL, NULL, 'N', '0', 'admin', '2021-04-15 11:54:08', 'admin', '2021-05-06 15:16:45', '大象测试环境');
INSERT INTO `sys_dict_data` VALUES (75, 0, 'awSW7gts8AS4StGV84HCKVCf', 'elephant_dev', 'appSecret', NULL, NULL, 'N', '0', 'admin', '2021-04-15 11:54:35', 'admin', '2021-05-06 15:16:27', '大象测试环境');
INSERT INTO `sys_dict_data` VALUES (82, 4, '已冲红', '99', 'invoice_status', NULL, NULL, 'N', '0', 'admin', '2021-04-20 11:00:52', 'admin', '2021-12-14 14:47:19', NULL);
INSERT INTO `sys_dict_data` VALUES (83, 13, '冲红中', '98', 'invoice_status', NULL, NULL, 'N', '0', 'admin', '2021-04-21 09:28:01', 'admin', '2021-12-14 14:47:49', NULL);
INSERT INTO `sys_dict_data` VALUES (84, 0, '否', '0', 'sys_special_ticket', NULL, NULL, 'N', '0', 'admin', '2021-04-21 10:42:36', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (85, 1, '农产品收购', '1', 'sys_special_ticket', NULL, NULL, 'N', '0', 'admin', '2021-04-21 10:42:47', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (86, 0, '含税', '1', 'sys_price_tax_method', NULL, NULL, 'N', '0', 'admin', '2021-04-21 10:44:20', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (87, 0, '不含税', '0', 'sys_price_tax_method', NULL, NULL, 'N', '0', 'admin', '2021-04-21 10:44:26', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (88, 0, '不重新计算', '0', 'sys_recalculate_price_quantity', NULL, NULL, 'N', '0', 'admin', '2021-04-21 10:46:14', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (89, 1, '重新计算数量', '1', 'sys_recalculate_price_quantity', NULL, NULL, 'N', '0', 'admin', '2021-04-21 10:46:27', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (90, 2, '重新计算单价', '2', 'sys_recalculate_price_quantity', NULL, NULL, 'N', '0', 'admin', '2021-04-21 10:46:36', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (91, 0, '企业', '0', 'sys_receipt_type', NULL, NULL, 'N', '0', 'admin', '2021-04-21 14:44:22', 'admin', '2021-05-09 10:29:04', NULL);
INSERT INTO `sys_dict_data` VALUES (92, 1, '个人/其他', '1', 'sys_receipt_type', NULL, NULL, 'N', '0', 'admin', '2021-04-21 14:46:32', 'admin', '2021-07-23 19:52:16', NULL);
INSERT INTO `sys_dict_data` VALUES (93, 0, '未开票', '0', 'invoice_status', NULL, NULL, 'N', '1', 'admin', '2021-04-23 09:42:28', 'admin', '2021-12-09 10:32:23', NULL);
INSERT INTO `sys_dict_data` VALUES (94, 0, '200001231231', '1', 'goods_invoice_type', NULL, NULL, 'N', '0', 'admin', '2021-05-03 12:12:27', '', NULL, '0：通版 1：企业 2：个人/其他');
INSERT INTO `sys_dict_data` VALUES (95, 1, '电子增值税普通发票', 'p', 'invoice_valid_type', NULL, NULL, 'N', '0', 'admin', '2021-05-06 09:52:59', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (96, 2, '增值税普通发票(纸票)', 'c', 'invoice_valid_type', NULL, NULL, 'N', '0', 'admin', '2021-05-06 09:53:09', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (97, 3, '增值税专用发票', 's', 'invoice_valid_type', NULL, NULL, 'N', '0', 'admin', '2021-05-06 09:54:14', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (98, 4, '增值税电子专用发票', 'b', 'invoice_valid_type', NULL, NULL, 'N', '0', 'admin', '2021-05-06 09:54:25', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (99, 5, '省公司ys', 'render', 'servicesource', NULL, NULL, 'N', '0', 'admin', '2021-05-07 14:51:09', '', NULL, '山东省公司ys接口');
INSERT INTO `sys_dict_data` VALUES (100, 1, '模板导入', '1', 'billorigin', NULL, NULL, 'N', '0', 'admin', '2021-05-08 10:06:25', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (101, 2, 'API调用', '2', 'billorigin', NULL, NULL, 'N', '0', 'admin', '2021-05-08 10:08:27', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (102, 3, '手工录入', '3', 'billorigin', NULL, NULL, 'N', '0', 'admin', '2021-05-08 10:08:48', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (103, 1, '38', 'default', 'goods_no_ver', NULL, NULL, 'N', '0', 'admin', '2021-05-08 10:38:53', 'admin', '2021-05-10 09:21:27', NULL);
INSERT INTO `sys_dict_data` VALUES (104, 4, '扫码开票', '4', 'billorigin', NULL, NULL, 'N', '0', 'admin', '2021-05-08 10:40:46', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (105, 1, 'myiZKfCHJpyNCbD2scg5OGoP', 'elephant_prod', 'appKey', NULL, NULL, 'N', '0', 'admin', '2021-05-08 16:39:33', 'admin', '2021-05-08 16:40:04', '大象生产环境key');
INSERT INTO `sys_dict_data` VALUES (106, 1, 'GqDWQD7WfdJYx2iQSjaAtS8N', 'elephant_prod', 'appSecret', NULL, NULL, 'N', '0', 'admin', '2021-05-08 17:07:41', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (107, 0, '免费', '0', 'feemode', NULL, NULL, 'N', '0', 'admin', '2021-05-09 10:28:37', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (108, 1, '预付费', '1', 'feemode', NULL, NULL, 'N', '0', 'admin', '2021-05-09 10:28:47', 'admin', '2021-05-09 10:29:51', NULL);
INSERT INTO `sys_dict_data` VALUES (109, 2, '定期结算', '2', 'feemode', NULL, NULL, 'N', '0', 'admin', '2021-05-09 10:29:33', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (110, 0, '增值税专用发票', '01', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:08:22', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (111, 1, '货运运输业增值税专用发票', '02', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:08:37', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (112, 2, '机动车销售统一发票', '03', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:08:50', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (113, 3, '增值税普通发票', '04', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:09:04', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (114, 4, '增值税普通发票（电子）', '10', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:09:21', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (115, 5, '增值税普通发票（卷式）', '11', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:09:38', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (116, 6, '通行费发票', '14', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:09:55', 'admin', '2021-05-12 11:10:20', NULL);
INSERT INTO `sys_dict_data` VALUES (117, 7, '二手车发票', '15', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:10:13', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (118, 8, '增值税电子专用发票', '08', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:10:36', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (119, 0, '正常', '0 ', 'check_invoice_state', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:21:35', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (120, 1, '失控', '1', 'check_invoice_state', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:21:55', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (121, 2, '作废', '2', 'check_invoice_state', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:22:10', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (122, 3, '已红冲', '3', 'check_invoice_state', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:22:32', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (123, 4, '异常', '4', 'check_invoice_state', NULL, NULL, 'N', '0', 'admin', '2021-05-12 11:22:50', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (124, 1, '企业', '0', 'sys_customer_type', NULL, NULL, 'N', '0', 'admin', '2021-05-18 09:15:07', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (125, 2, '个人/其他', '1', 'sys_customer_type', NULL, NULL, 'N', '0', 'admin', '2021-05-18 09:15:16', 'admin', '2021-07-23 19:51:55', NULL);
INSERT INTO `sys_dict_data` VALUES (126, 1, '未处理', '0', 'sys_online_quota', NULL, NULL, 'N', '0', 'admin', '2021-05-18 14:16:50', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (127, 2, '已联系', '1', 'sys_online_quota', NULL, NULL, 'N', '0', 'admin', '2021-05-18 14:16:59', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (128, 3, '已完成', '2', 'sys_online_quota', NULL, NULL, 'N', '0', 'admin', '2021-05-18 14:17:10', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (129, 9, '出租车票', '91', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:16:22', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (130, 10, '火车票', '92', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:16:37', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (131, 11, '飞机票', '93', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:17:01', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (132, 12, '汽车票', '94', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:17:24', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (133, 13, '定额发票', '95', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:17:37', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (134, 14, '国际小票', '96', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:17:48', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (135, 15, '通用机打票', '97', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:18:10', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (136, 16, '过路过桥', '98', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:19:00', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (137, 18, '可报销其他发票', '85', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:19:36', 'admin', '2021-05-20 15:20:16', '');
INSERT INTO `sys_dict_data` VALUES (138, 19, '滴滴出行行程单', '86', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:20:30', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (139, 20, '完税证明', '87', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:21:00', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (140, 21, '船票', '88', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:21:14', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (141, 22, '其他', '00', 'fpzl', NULL, NULL, 'N', '0', 'admin', '2021-05-20 15:21:27', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (145, 5, '单据拆分', '5', 'billorigin', NULL, NULL, 'N', '0', 'admin', '2021-05-26 10:18:34', 'admin', '2021-09-10 10:53:22', NULL);
INSERT INTO `sys_dict_data` VALUES (146, 0, '未勾选', '1', 'checkstate', NULL, NULL, 'N', '0', 'admin', '2021-05-27 09:49:58', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (147, 1, '勾选失败', '2', 'checkstate', NULL, NULL, 'N', '0', 'admin', '2021-05-27 09:50:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (148, 0, '开票中', '0', 'sys_receipt_status', NULL, NULL, 'N', '0', 'admin', '2021-05-28 10:58:27', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (149, 1, '开票成功', '1', 'sys_receipt_status', NULL, NULL, 'N', '0', 'admin', '2021-05-28 10:58:37', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (150, 2, '开票失败', '2', 'sys_receipt_status', NULL, NULL, 'N', '0', 'admin', '2021-05-28 10:58:46', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (151, 17, '已拆分', '17', 'invoice_status', NULL, NULL, 'N', '1', 'admin', '2021-05-28 17:08:36', 'admin', '2021-12-14 14:45:34', NULL);
INSERT INTO `sys_dict_data` VALUES (152, 0, '开票中', '0', 'bill_info_status', NULL, NULL, 'N', '0', 'admin', '2021-06-02 09:41:11', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (153, 1, '开票成功', '1', 'bill_info_status', NULL, NULL, 'N', '0', 'admin', '2021-06-02 09:41:21', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (154, 2, '开票失败', '2', 'bill_info_status', NULL, NULL, 'N', '0', 'admin', '2021-06-02 09:41:31', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (155, 3, '已作废', '3', 'bill_info_status', NULL, NULL, 'N', '0', 'admin', '2021-06-02 09:41:45', 'admin', '2021-06-02 10:00:26', NULL);
INSERT INTO `sys_dict_data` VALUES (156, 4, '已拆分', '17', 'bill_info_status', NULL, NULL, 'N', '0', 'admin', '2021-06-02 10:00:40', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (157, 5, '已冲红', '99', 'bill_info_status', NULL, NULL, 'N', '0', 'admin', '2021-06-02 10:00:56', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (158, 6, '未开票', '100', 'bill_info_status', NULL, NULL, 'N', '0', 'admin', '2021-06-02 10:01:09', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (159, 6, '单据合并', '6', 'billorigin', NULL, NULL, 'N', '0', 'admin', '2021-06-10 13:59:29', 'admin', '2021-06-11 10:38:55', NULL);
INSERT INTO `sys_dict_data` VALUES (160, 7, '已合并', '18', 'bill_info_status', NULL, NULL, 'N', '0', 'admin', '2021-06-10 14:23:39', 'admin', '2021-06-10 14:24:21', NULL);
INSERT INTO `sys_dict_data` VALUES (161, 6, '前置接口', 'fronted', 'servicesource', NULL, NULL, 'N', '0', 'admin', '2021-06-11 08:55:02', 'admin', '2021-06-11 08:55:12', '前置接口');
INSERT INTO `sys_dict_data` VALUES (162, 0, '有可开发票', '0', 'isInvReached', NULL, NULL, 'N', '0', 'admin', '2021-06-18 11:55:38', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (163, 1, '无可开发票', '1', 'isInvReached', NULL, NULL, 'N', '0', 'admin', '2021-06-18 11:55:51', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (164, 0, '未到抄税期', '0', 'isRepReached', NULL, NULL, 'N', '0', 'admin', '2021-06-18 11:57:40', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (165, 1, '已到抄税期', '1', 'isRepReached', NULL, NULL, 'N', '0', 'admin', '2021-06-18 11:57:56', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (166, 0, '未到锁死期', '0', 'isLockReached', NULL, NULL, 'N', '0', 'admin', '2021-06-18 11:58:58', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (167, 1, '已到锁死期', '1', 'isLockReached', NULL, NULL, 'N', '0', 'admin', '2021-06-18 11:59:11', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (168, 0, '开启成功', '1011', 'retCode', NULL, NULL, 'N', '0', 'admin', '2021-06-18 13:09:34', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (169, 0, '开启失败', '1012', 'retCode', NULL, NULL, 'N', '0', 'admin', '2021-06-18 13:10:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (170, 0, '开启', '0', 'businessCode', NULL, NULL, 'N', '0', 'admin', '2021-06-18 13:35:36', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (171, 1, '关闭', '1', 'businessCode', NULL, NULL, 'N', '0', 'admin', '2021-06-18 13:35:47', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (172, 8, '已合并', '18', 'invoice_status', NULL, NULL, 'N', '1', 'admin', '2021-06-18 16:06:51', 'admin', '2021-12-09 10:31:38', NULL);
INSERT INTO `sys_dict_data` VALUES (173, 0, '符合', '1', 'feereduice', NULL, NULL, 'N', '0', 'admin', '2021-07-02 14:08:05', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (174, 0, '不符合', '0', 'feereduice', NULL, NULL, 'N', '0', 'admin', '2021-07-02 14:08:16', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (175, 1, '是', '0', 'lxrinformation', NULL, NULL, 'N', '0', 'admin', '2021-07-06 17:52:00', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (176, 2, '否', '1', 'lxrinformation', NULL, NULL, 'N', '0', 'admin', '2021-07-06 17:52:13', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (177, 0, '一般纳税人', '0', 'Natureofenterprise', NULL, NULL, 'N', '0', 'admin', '2021-07-09 11:07:33', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (178, 1, '小规模', '1', 'Natureofenterprise', NULL, NULL, 'N', '0', 'admin', '2021-07-09 11:07:45', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (179, 0, '申请中', '0', 'billstatus', NULL, NULL, 'N', '0', 'admin', '2021-07-23 19:51:46', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (180, 1, '审核成功', '1', 'billstatus', NULL, NULL, 'N', '0', 'admin', '2021-07-23 19:52:01', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (181, 2, '审核失败', '2', 'billstatus', NULL, NULL, 'N', '0', 'admin', '2021-07-23 19:52:31', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (182, 3, '申请成功', '3', 'billstatus', NULL, NULL, 'N', '0', 'admin', '2021-07-23 19:52:47', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (183, 4, '申请失败', '4', 'billstatus', NULL, NULL, 'N', '0', 'admin', '2021-07-23 19:53:05', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (184, 10, '17%', '0.17', 'slv', NULL, NULL, 'N', '0', 'admin', '2021-07-24 08:34:18', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (185, 0, '正常', '0', 'sys_invoice_fpzt', NULL, NULL, 'N', '0', '9111122223333CKFPT', '2021-08-10 15:17:30', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (186, 1, '失控', '1', 'sys_invoice_fpzt', NULL, NULL, 'N', '0', '9111122223333CKFPT', '2021-08-10 15:17:47', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (187, 2, '作废', '2', 'sys_invoice_fpzt', NULL, NULL, 'N', '0', '9111122223333CKFPT', '2021-08-10 15:17:56', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (188, 3, '红冲', '3', 'sys_invoice_fpzt', NULL, NULL, 'N', '0', '9111122223333CKFPT', '2021-08-10 15:18:29', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (189, 4, '异常', '4', 'sys_invoice_fpzt', NULL, NULL, 'N', '0', '9111122223333CKFPT', '2021-08-10 15:19:06', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (190, 0, '未抵扣', '0', 'sys_invoice_rzlx', NULL, NULL, 'N', '0', '9111122223333CKFPT', '2021-08-12 09:30:50', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (191, 1, '抵扣', '1', 'sys_invoice_rzlx', NULL, NULL, 'N', '0', '9111122223333CKFPT', '2021-08-12 09:30:58', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (192, 2, '退税', '2', 'sys_invoice_rzlx', NULL, NULL, 'N', '0', '9111122223333CKFPT', '2021-08-12 09:31:09', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (193, 3, '代理退税', '3', 'sys_invoice_rzlx', NULL, NULL, 'N', '0', '9111122223333CKFPT', '2021-08-12 09:31:20', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (194, 4, '不抵扣', '4', 'sys_invoice_rzlx', NULL, NULL, 'N', '0', '9111122223333CKFPT', '2021-08-12 09:31:31', '9111122223333CKFPT', '2021-08-12 09:34:30', NULL);
INSERT INTO `sys_dict_data` VALUES (195, 9, '信息发送', 'message', 'interfaceservice', NULL, NULL, 'N', '0', 'admin', '2021-08-12 14:31:51', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (196, 7, '短信', 'sms', 'servicesource', NULL, NULL, 'N', '0', 'admin', '2021-08-12 14:33:17', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (197, 8, '微信', 'weixin', 'servicesource', NULL, NULL, 'N', '0', 'admin', '2021-08-12 14:33:41', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (198, 0, '查验成功发票一 致', '0001', 'checkResult', NULL, NULL, 'N', '0', 'admin', '2021-08-16 18:01:06', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (199, 1, '查询发票不规范', '1005', 'checkResult', NULL, NULL, 'N', '0', 'admin', '2021-08-16 18:05:06', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (200, 2, '超过 5 年的不能查验', '1015', 'checkResult', NULL, NULL, 'N', '0', 'admin', '2021-08-16 18:05:51', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (201, 3, '请求不合法', '0005', 'checkResult', NULL, NULL, 'N', '0', 'admin', '2021-08-16 18:12:10', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (202, 4, '发票信息不一致', '0006', 'checkResult', NULL, NULL, 'N', '0', 'admin', '2021-08-16 18:12:32', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (203, 5, '发票不存在', '0009', 'checkResult', NULL, NULL, 'N', '0', 'admin', '2021-08-16 18:12:56', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (204, 6, '查询发票不规范', '1005', 'checkResult', NULL, NULL, 'N', '0', 'admin', '2021-08-16 18:13:18', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (205, 7, '查验异常', '1006', 'checkResult', NULL, NULL, 'N', '0', 'admin', '2021-08-16 18:13:46', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (206, 8, '查验失败', '9999', 'checkResult', NULL, NULL, 'N', '0', 'admin', '2021-08-16 18:14:14', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (209, 0, '软件事业部', '1174', 'hxjn', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:32:56', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (210, 2, '市场运营部', '1175', 'hxjn', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:33:14', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (211, 3, '服务支撑部', '1176', 'hxjn', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:33:30', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (212, 4, '运维中心', '1177', 'hxjn', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:33:52', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (213, 1, '政府事业部', '1178', 'hxjn', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:34:13', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (214, 6, '总经办', '1180', 'hxjn', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:37:11', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (215, 5, '综合管理部', '1179', 'hxjn', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:37:39', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (216, 7, '人力资源部', '1181', 'hxjn', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:38:00', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (217, 8, '财务部', '1182', 'hxjn', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:38:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (218, 9, '财税事业部', '1183', 'hxjn', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:38:39', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (219, 10, '研发中心', '1184', 'hxjn', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:38:58', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (220, 0, '项目集成', 'xmjc', 'opp_type', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:40:22', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (221, 1, '信息安全', 'safe', 'opp_type', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:40:49', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (222, 2, '外包服务', 'wbfw', 'opp_type', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:41:09', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (223, 3, '自助终端', 'zzzd', 'opp_type', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:41:29', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (224, 4, '证书培训', 'zspx', 'opp_type', NULL, NULL, 'N', '0', 'admin', '2021-08-19 11:41:55', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (225, 0, '新建', '1', 'oppostate', NULL, NULL, 'N', '0', 'admin', '2021-08-19 14:27:23', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (226, 1, '已提交', '2', 'oppostate', NULL, NULL, 'N', '0', 'admin', '2021-08-19 14:27:38', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (227, 2, '已分配', '3', 'oppostate', NULL, NULL, 'N', '0', 'admin', '2021-08-19 14:34:05', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (228, 3, '跟踪中', '4', 'oppostate', NULL, NULL, 'N', '0', 'admin', '2021-08-19 14:34:28', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (229, 4, '已谈妥', '5', 'oppostate', NULL, NULL, 'N', '0', 'admin', '2021-08-19 14:35:44', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (230, 7, '单据抽取', '7', 'billorigin', NULL, NULL, 'N', '0', 'admin', '2021-08-19 17:30:23', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (231, 0, 'mysql5', 'com.mysql.jdbc.Driver', 'drive_name', NULL, NULL, 'N', '0', 'admin', '2021-08-23 11:37:13', 'admin', '2021-08-25 16:53:31', NULL);
INSERT INTO `sys_dict_data` VALUES (232, 2, 'sqlserver2014', 'com.microsoft.sqlserver.jdbc.SQLServerDriver', 'drive_name', NULL, NULL, 'N', '0', 'admin', '2021-08-23 11:37:34', 'admin', '2021-08-30 08:55:54', NULL);
INSERT INTO `sys_dict_data` VALUES (234, 10, '发票勾选同步', 'sync', 'interfaceservice', NULL, NULL, 'N', '0', 'admin', '2021-08-24 10:22:11', 'admin', '2021-10-12 16:48:37', '发票勾选');
INSERT INTO `sys_dict_data` VALUES (235, 0, 'mysql', 'mysql', 'database_type', NULL, NULL, 'N', '0', 'admin', '2021-08-24 18:03:04', 'admin', '2021-08-24 18:12:33', NULL);
INSERT INTO `sys_dict_data` VALUES (236, 1, 'sqlserver', 'sqlserver', 'database_type', NULL, NULL, 'N', '0', 'admin', '2021-08-24 18:03:14', 'admin', '2021-08-24 18:12:38', NULL);
INSERT INTO `sys_dict_data` VALUES (239, 0, '2014', '2014', 'sqlserver_version', NULL, NULL, 'N', '0', 'admin', '2021-08-24 18:06:05', 'admin', '2021-08-30 08:55:41', NULL);
INSERT INTO `sys_dict_data` VALUES (240, 1, '8', '8', 'mysql_version', NULL, NULL, 'N', '0', 'admin', '2021-08-25 09:48:36', 'admin', '2021-08-25 09:54:05', NULL);
INSERT INTO `sys_dict_data` VALUES (241, 1, 'mysql8', 'com.mysql.cj.jdbc.Driver', 'drive_name', NULL, NULL, 'N', '0', 'admin', '2021-08-25 16:54:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (242, 1, 'Basic', '1', 'sap_authorization', NULL, NULL, 'N', '0', 'admin', '2021-08-30 10:55:35', '', NULL, 'basic认证');
INSERT INTO `sys_dict_data` VALUES (243, 1, 'post', '1', 'sap_methods', NULL, NULL, 'N', '0', 'admin', '2021-08-30 10:59:55', 'admin', '2021-08-30 11:00:37', NULL);
INSERT INTO `sys_dict_data` VALUES (244, 2, 'get', '2', 'sap_methods', NULL, NULL, 'N', '0', 'admin', '2021-08-30 11:00:43', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (245, 1, 'json', '1', 'sap_post_type', NULL, NULL, 'N', '0', 'admin', '2021-08-30 11:02:00', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (246, 2, 'form-data', '2', 'sap_post_type', NULL, NULL, 'N', '0', 'admin', '2021-08-30 11:02:07', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (247, 1, 'auth', '1', 'sap_type', NULL, NULL, 'N', '0', 'admin', '2021-08-30 11:28:54', 'admin', '2021-08-30 11:30:19', NULL);
INSERT INTO `sys_dict_data` VALUES (248, 2, 'params', '2', 'sap_type', NULL, NULL, 'N', '0', 'admin', '2021-08-30 11:30:26', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (249, 3, 'data', '3', 'sap_type', NULL, NULL, 'N', '0', 'admin', '2021-08-30 11:30:33', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (250, 1, '默认', '1', 'sap_param_type', NULL, NULL, 'N', '0', 'admin', '2021-08-30 11:36:49', '', NULL, '默认则不进行任何操作');
INSERT INTO `sys_dict_data` VALUES (251, 2, '自增', '2', 'sap_param_type', NULL, NULL, 'N', '0', 'admin', '2021-08-30 11:37:01', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (252, 0, '拉取中', '0', 'sap_log_status', NULL, NULL, 'N', '0', 'admin', '2021-08-30 11:42:54', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (253, 1, '拉取成功', '1', 'sap_log_status', NULL, NULL, 'N', '0', 'admin', '2021-08-30 11:43:01', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (254, 2, '拉取失败', '2', 'sap_log_status', NULL, NULL, 'N', '0', 'admin', '2021-08-30 11:43:08', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (255, 1, '商品名称', 'goodsname', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:22:47', NULL);
INSERT INTO `sys_dict_data` VALUES (256, 1, '单价含税标志', 'hsbz', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:22:56', NULL);
INSERT INTO `sys_dict_data` VALUES (257, 1, '购方企业名称', 'buyername', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:23:09', NULL);
INSERT INTO `sys_dict_data` VALUES (258, 1, '推送手机', 'phone', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:23:19', NULL);
INSERT INTO `sys_dict_data` VALUES (259, 1, '税额', 'tax', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:23:34', NULL);
INSERT INTO `sys_dict_data` VALUES (260, 1, '推 送 邮 箱', 'email', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:23:44', NULL);
INSERT INTO `sys_dict_data` VALUES (261, 1, '备注', 'message', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:23:54', NULL);
INSERT INTO `sys_dict_data` VALUES (262, 1, '购方企业银行开户行及账号', 'account', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:24:04', NULL);
INSERT INTO `sys_dict_data` VALUES (263, 1, '发票类型', 'kptype', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:24:15', NULL);
INSERT INTO `sys_dict_data` VALUES (264, 1, '规格型号', 'spec', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:24:30', NULL);
INSERT INTO `sys_dict_data` VALUES (265, 1, '税率', 'taxrate', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:24:40', NULL);
INSERT INTO `sys_dict_data` VALUES (266, 1, '购方企业电话', 'telephone', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:24:51', NULL);
INSERT INTO `sys_dict_data` VALUES (267, 1, '单位', 'unit', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:25:06', NULL);
INSERT INTO `sys_dict_data` VALUES (268, 1, '单价', 'price', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:25:22', NULL);
INSERT INTO `sys_dict_data` VALUES (269, 1, '数量', 'num', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:25:34', NULL);
INSERT INTO `sys_dict_data` VALUES (270, 1, '含税金额', 'taxamt', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:25:43', NULL);
INSERT INTO `sys_dict_data` VALUES (271, 1, '折扣金额', 'kce', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:25:56', NULL);
INSERT INTO `sys_dict_data` VALUES (272, 1, '对应蓝票发票号码', 'fphm', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:26:10', NULL);
INSERT INTO `sys_dict_data` VALUES (273, 1, '购方企业税号', 'taxnum', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:26:18', NULL);
INSERT INTO `sys_dict_data` VALUES (274, 1, '纳税人识别号', 'saletaxnum', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:26:25', NULL);
INSERT INTO `sys_dict_data` VALUES (275, 1, '对应蓝票发票代码', 'fpdm', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:26:32', NULL);
INSERT INTO `sys_dict_data` VALUES (276, 1, '购方企业地址', 'address', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:26:48', NULL);
INSERT INTO `sys_dict_data` VALUES (277, 1, '订单号', 'orderno', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:26:57', NULL);
INSERT INTO `sys_dict_data` VALUES (278, 1, '发票种类', 'invoiceline', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:27:07', NULL);
INSERT INTO `sys_dict_data` VALUES (279, 1, '不含税金额', 'taxfreeamt', 'sap_invoice_fetch_list', NULL, NULL, 'N', '0', 'admin', '2021-08-31 15:49:41', 'admin', '2021-09-02 15:27:34', NULL);
INSERT INTO `sys_dict_data` VALUES (280, 0, '支付宝', '0', 'sys_pay_type', NULL, NULL, 'N', '0', 'admin', '2021-09-01 15:24:55', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (281, 1, '微信', '1', 'sys_pay_type', NULL, NULL, 'N', '0', 'admin', '2021-09-01 15:25:03', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (282, 2, '银联', '2', 'sys_pay_type', NULL, NULL, 'N', '0', 'admin', '2021-09-01 15:25:13', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (283, 0, '是', '0', 'sys_account_status', NULL, NULL, 'N', '0', 'admin', '2021-09-01 15:33:30', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (284, 1, '否', '1', 'sys_account_status', NULL, NULL, 'N', '0', 'admin', '2021-09-01 15:33:45', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (285, 0, '未支付', '0', 'sys_pay_state', NULL, NULL, 'N', '0', 'admin', '2021-09-01 16:58:00', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (286, 1, '支付中', '1', 'sys_pay_state', NULL, NULL, 'N', '0', 'admin', '2021-09-01 16:58:10', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (287, 2, '已支付', '2', 'sys_pay_state', NULL, NULL, 'N', '0', 'admin', '2021-09-01 16:58:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (288, 3, '退款中', '3', 'sys_pay_state', NULL, NULL, 'N', '0', 'admin', '2021-09-01 16:58:31', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (289, 4, '退款成功', '4', 'sys_pay_state', NULL, NULL, 'N', '0', 'admin', '2021-09-01 16:58:45', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (290, 0, '未审核', '0', 'sys_check_state', NULL, NULL, 'N', '0', 'admin', '2021-09-01 16:59:44', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (291, 1, '审核通过', '1', 'sys_check_state', NULL, NULL, 'N', '0', 'admin', '2021-09-01 16:59:55', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (292, 2, '审核驳回', '2', 'sys_check_state', NULL, NULL, 'N', '0', 'admin', '2021-09-01 17:00:05', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (293, 0, '正常', '0', 'sys_income_glzt', NULL, NULL, 'N', '0', 'admin', '2021-09-06 10:21:31', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (294, 1, '1', '异常', 'sys_income_glzt', NULL, NULL, 'N', '0', 'admin', '2021-09-06 10:21:40', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (296, 1, '订单号', 'orderno', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (297, 1, '流水号', 'fpqqlsh', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (298, 1, '购方税号', 'taxnum', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (299, 1, '购方名称', 'buyername', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (300, 1, '发票种类', 'invoice_line', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (301, 1, '开票状态', 'status', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (302, 1, '开票结果', 'resultmsg', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (303, 1, '发票代码', 'fpdm', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (304, 1, '发票号码', 'fphm', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (305, 1, '开票日期', 'kprq', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (306, 1, '发票url', 'url', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (307, 1, '不含税金额', 'bhsje', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (308, 1, '合计税额', 'hjse', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (309, 1, '合计金额', 'hjje', 'sap_invoice_push_list', NULL, NULL, 'N', '0', 'admin', '2021-09-06 15:31:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (310, 1, '系统推送', '1', 'invoice_reback_type', NULL, NULL, 'N', '0', 'admin', '2021-09-06 16:11:14', '', NULL, '使用我们原始的推送方式推送');
INSERT INTO `sys_dict_data` VALUES (311, 2, 'SAP推送', '2', 'invoice_reback_type', NULL, NULL, 'N', '0', 'admin', '2021-09-06 16:11:31', '', NULL, '根据SAP设置进行推送');
INSERT INTO `sys_dict_data` VALUES (312, 6, '已关单', '0', 'oppostate', NULL, NULL, 'N', '0', 'admin', '2021-09-08 14:35:44', 'admin', '2021-09-08 15:58:26', NULL);
INSERT INTO `sys_dict_data` VALUES (313, 0, '电话回访', 'p', 'track_type', NULL, NULL, 'N', '0', 'admin', '2021-09-09 10:43:37', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (314, 1, '客户现场', 's', 'track_type', NULL, NULL, 'N', '0', 'admin', '2021-09-09 10:44:01', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (315, 2, '远程会议', 'y', 'track_type', NULL, NULL, 'N', '0', 'admin', '2021-09-09 10:44:35', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (316, 3, '客户来访', 'l', 'track_type', NULL, NULL, 'N', '0', 'admin', '2021-09-09 10:46:15', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (317, 1, '诺诺2.0', 'nuonuonew', 'servicesource', NULL, NULL, 'N', '0', 'admin', '2021-09-13 14:23:21', 'admin', '2021-09-13 14:25:02', NULL);
INSERT INTO `sys_dict_data` VALUES (318, 21, '开票成功签章失败', '21', 'bill_info_status', NULL, NULL, 'N', '0', 'admin', '2021-09-16 17:11:53', 'admin', '2021-09-17 15:14:15', NULL);
INSERT INTO `sys_dict_data` VALUES (319, 1, '生效', '1', 'kkp_page_config_status', NULL, NULL, 'N', '0', 'admin', '2021-09-17 11:50:59', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (320, 2, '禁用', '2', 'kkp_page_config_status', NULL, NULL, 'N', '0', 'admin', '2021-09-17 11:55:05', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (321, 3, '瑞银信', '3', 'sys_pay_type', NULL, NULL, 'N', '0', 'admin', '2021-09-17 15:43:33', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (322, 4, 'sqlserver2008', 'net.sourceforge.jtds.jdbc.Driver', 'drive_name', NULL, NULL, 'N', '0', 'admin', '2021-09-18 08:18:53', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (323, 0, '2008', '2008', 'sqlserver_version', NULL, NULL, 'N', '0', 'admin', '2021-09-18 08:19:59', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (324, 0, '请求时间', 'req', 'reqtype', NULL, NULL, 'N', '0', 'admin', '2021-09-22 11:09:38', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (325, 1, '开票时间', 'inv', 'reqtype', NULL, NULL, 'N', '0', 'admin', '2021-09-22 11:09:56', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (326, 3, '数据回写', '3', 'invoice_reback_type', NULL, NULL, 'N', '0', 'admin', '2021-08-09 13:45:22', 'admin', '2021-08-09 13:45:28', NULL);
INSERT INTO `sys_dict_data` VALUES (327, 0, '请选择', '0', 'invoice_reback_type', NULL, NULL, 'N', '0', 'admin', '2021-08-09 14:42:59', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (328, 0, '总部-开票软件', 'zongbukprj', 'servicesource', NULL, NULL, 'N', '0', 'admin', '2021-10-12 13:34:50', 'admin', '2021-10-12 13:37:19', '总部开票软件');
INSERT INTO `sys_dict_data` VALUES (329, 11, '发票同步', 'invoice_pull', 'interfaceservice', NULL, NULL, 'N', '0', 'admin', '2021-10-12 16:48:14', '', NULL, '发票管理-发票同步');
INSERT INTO `sys_dict_data` VALUES (331, 0, '浦发电商', '0', 'bankid', NULL, NULL, 'N', '0', 'admin', '2021-10-18 17:13:50', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (332, 1, '农行电商', '1', 'bankid', NULL, NULL, 'N', '0', 'admin', '2021-10-18 17:14:22', 'admin', '2021-10-18 17:14:39', NULL);
INSERT INTO `sys_dict_data` VALUES (333, 2, '农行京东', '2', 'bankid', NULL, NULL, 'N', '0', 'admin', '2021-10-18 17:14:53', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (334, 3, '民生电商', '3', 'bankid', NULL, NULL, 'N', '0', 'admin', '2021-10-18 17:15:07', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (335, 0, '浦发电商', '0', 'bank_id', NULL, NULL, 'N', '0', 'admin', '2021-10-20 14:37:26', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (336, 1, '农行电商', '1', 'bank_id', NULL, NULL, 'N', '0', 'admin', '2021-10-20 14:37:47', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (337, 2, '农行京东', '2', 'bank_id', NULL, NULL, 'N', '0', 'admin', '2021-10-20 14:39:08', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (338, 3, '民生电商', '3', 'bank_id', NULL, NULL, 'N', '0', 'admin', '2021-10-20 14:39:21', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (339, 1, '自动拉取', '0', 'invoice_pull_type', NULL, NULL, 'N', '0', 'admin', '2021-10-26 11:36:03', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (340, 2, '手动拉取', '1', 'invoice_pull_type', NULL, NULL, 'N', '0', 'admin', '2021-10-26 11:36:10', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (341, 12, '融合通信短信接口', 'rhtx', 'interfaceservice', NULL, NULL, 'N', '0', 'admin', '2021-10-27 15:42:33', 'admin', '2021-10-27 15:43:35', NULL);
INSERT INTO `sys_dict_data` VALUES (343, 8, '用户合并', '8', 'billorigin', NULL, NULL, 'N', '0', 'admin', '2021-11-04 14:04:42', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (345, 0, '现场调研', '1', 'tracke_mode', NULL, NULL, 'N', '0', 'admin', '2021-11-09 14:17:40', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (346, 0, '语音通话', '2', 'tracke_mode', NULL, NULL, 'N', '0', 'admin', '2021-11-09 14:17:56', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (347, 0, '未抄税', '1', 'sys_equipment_status', NULL, NULL, 'N', '0', 'admin', '2021-11-11 16:49:06', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (348, 1, '抄税未清卡', '2', 'sys_equipment_status', NULL, NULL, 'N', '0', 'admin', '2021-11-11 16:49:26', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (349, 2, '已清卡', '3', 'sys_equipment_status', NULL, NULL, 'N', '0', 'admin', '2021-11-11 16:49:41', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (350, 3, '已锁死', '4', 'sys_equipment_status', NULL, NULL, 'N', '0', 'admin', '2021-11-11 16:50:08', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (351, 5, '系统集成', 'xtjc', 'opp_type', NULL, NULL, 'N', '0', 'admin', '2021-11-17 13:51:52', 'admin', '2021-11-17 13:51:58', NULL);
INSERT INTO `sys_dict_data` VALUES (352, 6, '硬件产品', 'yjcp', 'opp_type', NULL, NULL, 'N', '0', 'admin', '2021-11-17 13:52:31', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (353, 7, '代理托管', 'dltg', 'opp_type', NULL, NULL, 'N', '0', 'admin', '2021-11-17 13:52:53', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (354, 8, '诺诺服务', 'nnfw', 'opp_type', NULL, NULL, 'N', '0', 'admin', '2021-11-17 13:53:14', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (355, 9, '软件产品', 'rjcp', 'opp_type', NULL, NULL, 'N', '0', 'admin', '2021-11-17 13:53:38', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (356, 0, '金融产品', 'jrcp', 'opp_type', NULL, NULL, 'N', '0', 'admin', '2021-11-17 13:54:02', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (357, 10, '延保服务', 'ybfw', 'opp_type', NULL, NULL, 'N', '0', 'admin', '2021-11-18 11:17:29', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (358, 7, '二手车发票', 'u', 'invoice_type', NULL, NULL, 'N', '0', 'admin', '2021-12-08 14:02:36', 'admin', '2021-12-08 14:02:42', NULL);

SET FOREIGN_KEY_CHECKS = 1;
